package com.memorynotfound.jsf;

import javax.faces.application.FacesMessage;
import java.text.MessageFormat;

public class MessageUtils {

    public static void addErrorMessage(final String message) {
        FacesMessage fm = new FacesMessage(FacesMessage.SEVERITY_ERROR, message, message);
        JSFUtils.getFacesContext().addMessage(null, fm);
    }

    public static void addErrorMessage(String key, final Object[] parameters) {
        String message = JSFUtils.getResourceBundle("msg").getString(key);
        String formattedMessage = MessageFormat.format(message, parameters);
        addErrorMessage(formattedMessage);
    }

}
